/**
 * modular-vue 模块
 */
import { ExtensionPointType } from 'modular-core';
import store from './store';
import router from './router';
import activator from './activator';
var Single = ExtensionPointType.Single, Mixin = ExtensionPointType.Mixin, Multiple = ExtensionPointType.Multiple;
var config = {
    name: 'vue',
    extensionPoints: {
        'vue.app': {
            type: Single
        },
        'vue.plugins': {
            type: Multiple
        },
        'vue.options': {
            type: Multiple
        },
        'vue.router.routes': {
            type: Multiple
        },
        'vue.router.hooks': {
            type: Multiple
        },
        'vuex.modules': {
            type: Mixin
        }
    },
    activator: activator
};
export { store, router };
export default config;
